=== debian/changelog ===
qtalicevision (2025.1.0-1) unstable; urgency=medium

  * Initial release into Debian (Closes: #1111933)

 -- Dima Kogan <dkogan@debian.org>  Sat, 23 Aug 2025 17:05:24 -0700
