=== debian/control ===
Source: qtalicevision
Section: contrib/libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-charts-dev,
               qt6-shadertools-dev,
               qt6-3d-dev,
               openimageio-tools,
               libalicevision-dev
Standards-Version: 4.6.0
Homepage: https://github.com/alicevision/QtAliceVision
Vcs-Git: https://salsa.debian.org/science-team/QtAliceVision.git
Vcs-Browser: https://salsa.debian.org/science-team/QtAliceVision

Package: qml-module-alicevision
Section: contrib/libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: QML bindings for AliceVision
 Classes to load and visualize AliceVision data through QML. Makes the
 AliceVision backend available via the Meshroom frontend

Package: qt6-alicevision-oiio-plugins
Section: contrib/libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt6 AliceVision library plugins
  An OpenImageIO backend for image IO in Qt:
    - Read RAW images from DSLRs
    - Read intermediate files of the AliceVision framework stored in EXR format
