=== debian/watch ===
version=4
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/QtAliceVision-$1\.tar\.gz/ \
 https://github.com/alicevision/QtAliceVision/tags .*/v?(\d\S+)\.tar\.gz
