=== debian/changelog ===
qtalicevision (2025.1.1-1ubuntu1) resolute; urgency=medium

  * Add fix-build-with-Qt-6.10.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Feb 2026 12:52:21 +0000

qtalicevision (2025.1.1-1build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Feb 2026 11:33:04 +0000

qtalicevision (2025.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 20 Dec 2025 18:26:26 -0800

qtalicevision (2025.1.0-2) unstable; urgency=medium

  * Rebuild for qt6 6.9.2

 -- Dima Kogan <dkogan@debian.org>  Wed, 26 Nov 2025 17:39:15 -0800
