=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtalicevision
 Section: contrib/libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
